org.eclipse.gef.mvc.fx.parts

## Class RectangleSegmentHandlePart

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
  - - org.eclipse.gef.mvc.fx.parts.AbstractHandlePart<N>
    - - org.eclipse.gef.mvc.fx.parts.AbstractSegmentHandlePart<Rectangle>
      - - org.eclipse.gef.mvc.fx.parts.RectangleSegmentHandlePart

All Implemented Interfaces:
  Comparable<AbstractSegmentHandlePart<? extends Node>>, IActivatable, IAdaptable, IAdaptable.Bound<IViewer>, IDisposable, IHandlePart<Rectangle>, IVisualPart<Rectangle>

    public class RectangleSegmentHandlePart
    extends AbstractSegmentHandlePart<Rectangle>

An `AbstractSegmentHandlePart` with a rectangular `Rectangle` visual.

### Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`active, adaptable, adapters, anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

Fields
`protected static double` `DEFAULT_LENGTH` The default length for this part's visualization.
`protected static double` `DEFAULT_WIDTH` The default width for this part's visualization.

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`RectangleSegmentHandlePart()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Rectangle` `doCreateVisual()` Creates this part's visual.
`void` `doRefreshVisual(Rectangle visual)` Refreshes this part's visualization based on this part's content.
`protected void` `updateColor()` Updates the color of this part's visualization.
`protected void` `updateLocation(Rectangle visual)` Computes the location for this part and relocates its visual to that location.

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractSegmentHandlePart

`compareTo, getBezierSegmentInParent, getConnectedFill, getInsertFill, getMoveFill, getPosition, getSegmentCount, getSegmentIndex, getSegmentParameter, getSegmentsInScene, getStroke, setSegmentIndex, setSegmentParameter, setSegmentsProvider`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractHandlePart

`doAddChildVisual, doAttachToAnchorageVisual, doDetachFromAnchorageVisual, doRemoveChildVisual`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doActivate, doDeactivate, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, register, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregister, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Field Detail

#### DEFAULT_WIDTH

    protected static final double DEFAULT_WIDTH

The default width for this part's visualization.

See Also:
  Constant Field Values

#### DEFAULT_LENGTH

    protected static final double DEFAULT_LENGTH

The default length for this part's visualization.

See Also:
  Constant Field Values

### Constructor Detail

#### RectangleSegmentHandlePart

    public RectangleSegmentHandlePart()

### Method Detail

#### doCreateVisual

    protected Rectangle doCreateVisual()

Description copied from class: `AbstractVisualPart`
Creates this part's visual.

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<Rectangle>`
Returns:
  This part's visual.

#### doRefreshVisual

    public void doRefreshVisual(Rectangle visual)

Description copied from class: `AbstractVisualPart`
Refreshes this part's visualization based on this part's content.

Overrides:
  `doRefreshVisual` in class `AbstractSegmentHandlePart<Rectangle>`
Parameters:
  `visual` - This part's visual.

#### updateColor

    protected void updateColor()

Updates the color of this part's visualization. If this handle part represents a way or end point of an `Connection`, it's color will be set to indicate whether the handle is connected to another part or not.

#### updateLocation

    protected void updateLocation(Rectangle visual)

Description copied from class: `AbstractSegmentHandlePart`
Computes the location for this part and relocates its visual to that location. The visual is made invisible if this part has an invalid index (out of bounds), i.e. when no location can be computed.

Overrides:
  `updateLocation` in class `AbstractSegmentHandlePart<Rectangle>`
Parameters:
  `visual` - This part's visual for convenience.